Package org.apache.tomcat.util.bcel.classfile

# Class ElementValuePair

java.lang.Object
org.apache.tomcat.util.bcel.classfile.ElementValuePair

public class ElementValuePair extends Object
An annotation's element value pair.

Since:
  6.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getNameString()`
  `final ElementValue`
  `getValue()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getNameString

    public String getNameString()

  - ### getValue

    public final ElementValue getValue()